ChangeSet 1.925, 2002/11/27 15:09:52-08:00, greg@kroah.com

LSM: fix conversions in hugetlbfs that I missed in the last merge.


diff -Nru a/fs/hugetlbfs/inode.c b/fs/hugetlbfs/inode.c
--- a/fs/hugetlbfs/inode.c	Wed Nov 27 15:18:16 2002
+++ b/fs/hugetlbfs/inode.c	Wed Nov 27 15:18:16 2002
@@ -209,7 +209,7 @@
 	if (inode->i_data.nrpages)
 		truncate_hugepages(&inode->i_data, 0);
 
-	security_ops->inode_delete(inode);
+	security_inode_delete(inode);
 
 	clear_inode(inode);
 	destroy_inode(inode);
@@ -333,7 +333,7 @@
 	if (error)
 		goto out;
 
-	error = security_ops->inode_setattr(dentry, attr);
+	error = security_inode_setattr(dentry, attr);
 	if (error)
 		goto out;
 
